{
	"name": "table/external/4d/manager/other/project.json",
	"table_name": "project",
	"table_prefix": "prj",
	"record_type": ["project"],
	"local_table": "task",
	"local_record_type": "project",
	"table_number": 50,
	"field": [
		{
			"field_name": "actual_end_date",
			"field_number": 9,
			"field_type": "date"
		},
		{
			"field_name": "actual_hours",
			"field_number": 12,
			"field_type": "double"
		},
		{
			"field_name": "actual_start_date",
			"field_number": 7,
			"field_type": "date"
		},
		{
			"field_name": "change_id",
			"field_number": 17,
			"field_type": "varchar",
			"length": 90
		},
		{
			"field_name": "creator_id",
			"field_number": 18,
			"field_type": "varchar",
			"length": 40
		},
		{
			"field_name": "customer_project",
			"field_number": 16,
			"field_type": "varchar",
			"length": 80
		},
		{
			"field_name": "employee_id",
			"field_number": 5,
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "employee_id",
					"linked_table": "employee"
				}
			],
			"length": 24,
			"nullable": true
		},
		{
			"field_name": "estimated_end_date",
			"field_number": 8,
			"field_type": "date"
		},
		{
			"field_name": "estimated_hours",
			"field_number": 11,
			"field_type": "double"
		},
		{
			"field_name": "estimated_start_date",
			"field_number": 6,
			"field_type": "date"
		},
		{
			"field_name": "firm_id",
			"field_number": 13,
			"field_type": "integer"
		},
		{
			"field_name": "info",
			"field_number": 10,
			"field_type": "varchar",
			"length": 0
		},
		{
			"field_name": "modifier_id",
			"field_number": 19,
			"field_type": "varchar",
			"length": 40
		},
		{
			"constraint": ["unique"],
			"field_name": "project_id",
			"field_number": 1,
			"field_type": "varchar",
			"length": 80
		},
		{
			"field_name": "project_name",
			"field_number": 2,
			"field_type": "varchar",
			"length": 160
		},
		{
			"constraint": ["unique"],
			"field_name": "record_id",
			"field_number": 14,
			"field_type": "varchar",
			"length": 90
		},
		{
			"field_name": "state",
			"field_number": 4,
			"field_type": "varchar",
			"length": 60
		},
		{
			"field_name": "transfer_id",
			"field_number": 15,
			"field_type": "varchar",
			"length": 120
		},
		{
			"field_name": "transfer_state",
			"field_number": 20,
			"field_type": "integer"
		},
		{
			"field_name": "type_",
			"field_number": 3,
			"field_type": "varchar",
			"length": 60
		},
		{
			"field_name": "unused",
			"field_number": 21,
			"field_type": "integer"
		}
	],
	"default_field": "table/default_field.json"
}
